body, body * { box-sizing: border-box; }

body
{
	background-color: rgb(62, 165, 57);
	max-width: 58rem;
	font-family: roboto, sans-serif;
	font-size: 15pt;
	margin: auto;
	background-image: url(forest.png);
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-position: center;
	background-size: cover;
}

hr
{
	height: 0.11rem;
	border-top: 0.05rem dashed rgba(0, 0, 0, 0.33);
	border-bottom: 0.05rem dotted rgba(0, 0, 0, 0.25);
	border-left: 0;
	border-right: 0;
	box-shadow: 0 0.05rem 0 rgba(0, 0, 0, 0.18);
}

header
{
	width: 100%;
	font-size: xx-large;
	padding: 0.25rem 1rem;
	padding-top: 0.75rem;

	background-color: transparent;

	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: baseline;
}

header > span
{
	font-size: xx-large;
}
header > span:nth-child(1)
{
	text-align: left;
	width: 30rem;
}

header > span:nth-child(2),
header > span:nth-child(3)
{
	text-align: right;
	width: 15rem;
}

body > section > section > header
{
	width: 100%;
	font-size: large;
	font-weight: normal;
	padding: 1rem;
	background-color: transparent;
	border-bottom: 0.05rem solid rgba(0, 0, 0, 0.31);
}

section > section
{
	display: flex;
	flex-direction: column;
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;

	background-color: rgba(256, 256, 256, 1);
	border: 0.05rem solid rgba(0, 0, 0, 0.61);
	box-shadow: 0rem 0.2rem 0.3rem rgba(0, 0, 0, 0.11);
}

ol
{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: stretch;

	width: 100%;
	height: 14rem;
	
	margin: 0;
	padding: 0;
	list-style-type: none;
}

ol > li
{
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: stretch;

	width: 33%;
	height: 100%;
	padding: 0.50rem 0.67rem;
	padding-bottom: 1.25rem;
	margin-right: 0.5rem;
	text-align: center;

	background-color: rgba(256, 256, 256, 1);
	border: 0.05rem solid rgba(0, 0, 0, 0.61);
	box-shadow: 0rem 0.2rem 0.3rem rgba(0, 0, 0, 0.11);
}

ol > li:last-child
{
	margin-right: 0rem;
}

ol > li > i
{
	display: block;
	width: 100%;
	height: 7rem;
	font-size: 5rem;
	padding: 2rem 2rem;
}

ol > li:nth-child(1) > i { color: purple; text-shadow: 0 0 0.5rem pink; }
ol > li:nth-child(2) > i { color: orange; text-shadow: 0 0 0.5rem yellow; }
ol > li:nth-child(3) > i { color: green; text-shadow: 0 0 0.5rem lime; }
ol > li:nth-child(4) > i { color: blue; text-shadow: 0 0 0.5rem skyblue; }


ol > li > span:last-child
{
	align-self: flex-end;
	justify-self: flex-end;
}

#results
{
	background-color: rgba(256, 256, 256, 1);
	border: 0.05rem solid rgba(0, 0, 0, 0.61);
	box-shadow: 0rem 0.2rem 0.3rem rgba(0, 0, 0, 0.11);
}

#results i
{
	flex-grow: 0;
	flex-shrink: 0;

	width: 5rem;
	height: 5rem;
	font-size: 3rem;
	line-height: 3rem;
	padding: 1rem 0.5rem;
	margin-right: 0.5rem;
	text-align: center;
}

#results ul:nth-child(1) i { text-shadow: 0 0 0.2rem orange; }
#results ul:nth-child(2) li:first-child i { text-shadow: 0 0 0.2rem green; }
#results ul:nth-child(2) li:last-child i { text-shadow: 0 0 0.2rem red; }

#results span
{
	flex-grow: 2;
	text-align: left;
	line-height: 2rem;
}

#results ul
{
	display: inline-block;
	margin: 0;
	padding: 0;
	width: 100%;
	list-style-type: none;
}

#results ul:nth-child(2)
{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: baseline;
}

#results ul li
{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	padding: 0.5rem;
	border-bottom: 0.05rem solid rgba(0, 0, 0, 0.31);
}
#results ul li:last-child
{
	border-bottom: 0;
}

#statistics ul
{
	width: 100%;
	margin: 0;
	padding: 0;
	list-style-type: none;
}

#statistics ul > li
{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: baseline;

	width: 100%;
	text-align: right;
	padding: 0.5rem 1rem;
}
#statistics ul > li:nth-child(odd)
{
	background-color: rgba(0, 0, 0, 0.08);
}
#statistics ul > li:nth-child(even)
{
	background-color: rgba(0, 0, 0, 0.03);
}

#statistics ul > li > span:nth-child(1)
{
	text-align: left;
	width: 30rem;
}

#statistics ul > li > span:nth-child(2),
#statistics ul > li > span:nth-child(3)
{
	text-align: right;
	font-family: monospace;
	width: 15rem;
}
